/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */

package org.jfox.system;

/**
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public class JFoxMeta {
    private final static String APPLICATON_NAME = "JFox";

    private final static String PRODUCTION_NAME = "jfox application server";

    private final static String PROVIDER_NAME = "huihoo.org";

    private final static String VERSION = "1.2";

    // the jfox home key in system properties
    public final static String JFOX_HOME = "jfox.home";

    public static String getApplicatonName() {
        return APPLICATON_NAME;
    }

    public static String getProductionName() {
        return PRODUCTION_NAME;
    }

    public static String getProviderName() {
        return PROVIDER_NAME;
    }

    public static String getVersion() {
        return VERSION;
    }

    public static String getJFoxHome(){
        return System.getProperty(JFoxMeta.JFOX_HOME, "..");
    }

    public static void main(String[] args) {

    }
}
